REST Resource: conferenceRecords.recordings

資源:Recording

會議期間建立的錄音中繼資料。

JSON 表示法
{
  "name": string,
  "state": enum (State),
  "startTime": string,
  "endTime": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "driveDestination": {
    object (DriveDestination)
  }
  // End of mutually exclusive fields.
}
欄位
name

string

僅供輸出。錄音的資源名稱。格式:conferenceRecords/{conferenceRecord}/recordings/{recording},其中 {recording} 是會議期間每個不重複錄音的 1:1 對應。

state

enum (State)

僅供輸出。目前狀態。

startTime

string (Timestamp format)

僅供輸出。錄製開始的時間戳記。

endTime

string (Timestamp format)

僅供輸出。錄音結束時間的時間戳記。

以下列出互斥的欄位。回應中最多只會設定一個欄位:
driveDestination

object (DriveDestination)

僅供輸出。錄製內容會以 MP4 檔案格式儲存至 Google 雲端硬碟。driveDestination 包含 Drive fileId,可用於透過 Drive API 的 files.get 方法下載檔案。

互斥欄位的結尾。

DriveDestination

錄影檔案在 Google 雲端硬碟中的儲存位置。

JSON 表示法
{
  "file": string,
  "exportUri": string
}
欄位
file

string

僅供輸出。基礎 MP4 檔案的 fileId。例如「1kuceFZohVoCh6FulBHxwy6I15Ogpc4hP」。使用 $ GET https://www.googleapis.com/drive/v3/files/{$fileId}?alt=media 下載 Blob。詳情請參閱 https://developers.google.com/drive/api/v3/reference/files/get。

exportUri

string

僅供輸出。這個連結可用於在瀏覽器中播放錄音檔。例如 https://drive.google.com/file/d/{$fileId}/view。

州

錄製工作階段的目前狀態。

列舉
STATE_UNSPECIFIED 預設值,從未使用。
STARTED 已開始錄製。
ENDED 錄音作業已結束,但錄音檔尚未產生。
FILE_GENERATED 系統會產生錄製檔案,並開放下載。

方法

get

依錄音 ID 取得錄音。

list

列出會議記錄中的錄製資源。